urxvt256c(1)

NAME
urxvt256cc - control the urxvt256cd daemon

SYNOPSIS
urxvt256cc [same options as for urxvt256c]

DESCRIPTION
This manpage describes the urxvt256cc client program. It connects to the urxvt256cd daemon and requests a new terminal window. It takes the same arguments as the urxvt256c program. The environment will also be respected. Currently, it always returns immediately after contacting the daemon.

OPTIONS
If the first option is -k, urxvt256cc tries to kill the daemon process and returns.

All options that are valid for urxvt256c are valid for urxvt256cc, too. Please note that options are interpreted in the context of the daemon process. However, as current working directory, process environment and any file descriptor (e.g. for "-pty-fd") are preserved, this rarely makes a difference.

EXIT STATUS
If everything went well, urxvt256cc returns with an exit status of 0. If contacting the daemon fails, it exits with the exit status 2. In all other error cases it returns with status 1.

This can be used to implement auto-starting behaviour, by checking for an exit status of 2, running "urxvt256cd -f -q" and retrying the call to urxvt256cc, like this:

   #!/bin/sh
   urxvt256cc "$@"
   if [ $? -eq 2 ]; then
      urxvt256cd -q -o -f
      urxvt256cc "$@"
   fi

ENVIRONMENT
All environment variables of the current process will be made available to the new instance, and will be interpreted as if urxvt256c were started directly.

RXVT_SOCKET
    Both urxvt256cc and urxvt256cd use the environment variable RXVT_SOCKET to create a listening socket and to contact the urxvt256cd, respectively. If the variable is missing, $HOME/.urxvt/urxvtd-<nodename> is used. The variable must specify the absolute path of the socket to create.

SEE ALSO
urxvt256c(7), urxvt256cd(1)